#ifndef INCLUDED_luxe_MouseButton
#define INCLUDED_luxe_MouseButton

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS1(luxe,MouseButton)
namespace luxe{


class MouseButton_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef MouseButton_obj OBJ_;

	public:
		MouseButton_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("luxe.MouseButton"); }
		::String __ToString() const { return HX_CSTRING("MouseButton.") + tag; }

		static ::luxe::MouseButton extra1;
		static inline ::luxe::MouseButton extra1_dyn() { return extra1; }
		static ::luxe::MouseButton extra2;
		static inline ::luxe::MouseButton extra2_dyn() { return extra2; }
		static ::luxe::MouseButton left;
		static inline ::luxe::MouseButton left_dyn() { return left; }
		static ::luxe::MouseButton middle;
		static inline ::luxe::MouseButton middle_dyn() { return middle; }
		static ::luxe::MouseButton none;
		static inline ::luxe::MouseButton none_dyn() { return none; }
		static ::luxe::MouseButton right;
		static inline ::luxe::MouseButton right_dyn() { return right; }
};

} // end namespace luxe

#endif /* INCLUDED_luxe_MouseButton */ 
